JavaScript
import { Avalanche } from "@avalanche-sdk/chainkit";
const avalanche = new Avalanche({
network: "mainnet",
});
async function run() {
const result = await avalanche.data.primaryNetwork.transactions.listAssetTransactions({
txTypes: [
"AddValidatorTx",
],
startTimestamp: 1689541049,
endTimestamp: 1689800249,
pageSize: 10,
blockchainId: "x-chain",
assetId: "th5aLdWLi32yS9ED6uLGoMMubqHjzMsXhKWwzP6yZTYQKYzof",
});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://glacier-api.avax.network/v1/networks/{network}/blockchains/{blockchainId}/assets/{assetId}/transactions \
--header 'x-glacier-api-key: <api-key>'import requests
url = "https://glacier-api.avax.network/v1/networks/{network}/blockchains/{blockchainId}/assets/{assetId}/transactions"
headers = {"x-glacier-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"transactions": [
{
"txHash": "3j9JpF1aGuQtLLbo3YkvvKkWrCZViXZjdeJQWUSEY5hcqUn2c",
"chainFormat": "non-linear",
"timestamp": 1600762738,
"txType": "BaseTx",
"memo": "0x546865204176616c616e6368652050726f6a656374",
"consumedUtxos": [
{
"addresses": [
"avax1qm2a25eytsrj235hxg6jc0mwk99tss64eqevsw"
],
"asset": {
"assetId": "th5aLdWLi32yS9ED6uLGoMMubqHjzMsXhKWwzP6yZTYQKYzof",
"name": "Avalanche",
"symbol": "AVAX",
"denomination": 9,
"type": "secp256k1",
"amount": "5001000"
},
"consumedOnChainId": "2oYMBNV4eNHyqk2fjjV5nVQLDbtmNJzq5s3qs3Lo6ftnC6FByM",
"createdOnChainId": "2oYMBNV4eNHyqk2fjjV5nVQLDbtmNJzq5s3qs3Lo6ftnC6FByM",
"utxoId": "68vLva9kfKUsX88ZPM8jdbf8qHUZRoZSFH6NdpAVTspkfrXDC",
"creationTxHash": "FvwEAhmxKfeiG8SnEvq42hc6whRyY3EFYAvebMqDNDGCgxN5Z",
"locktime": 0,
"outputIndex": "38",
"threshold": 1,
"timestamp": 1599696000,
"utxoType": "mint",
"consumingTxHash": "3j9JpF1aGuQtLLbo3YkvvKkWrCZViXZjdeJQWUSEY5hcqUn2c",
"utxoBytes": "<string>",
"consumingTxTimestamp": 1599696000,
"credentials": [
{
"signature": "bWWoZUu0Z3STjuk/+2az7M4vP0oqc9NtiA7kOdqINCIE/2+5va5R1KNCWwEX5jE1xVHLvAxU2LHTN5gK8m84HwA",
"publicKey": "AdMQOtubgBFFJu++0faHPIIA6KmdZ2ERErMRGzyy6juI"
}
],
"groupId": 123,
"payload": "<string>"
}
],
"emittedUtxos": [
{
"addresses": [
"avax1qm2a25eytsrj235hxg6jc0mwk99tss64eqevsw"
],
"asset": {
"assetId": "th5aLdWLi32yS9ED6uLGoMMubqHjzMsXhKWwzP6yZTYQKYzof",
"name": "Avalanche",
"symbol": "AVAX",
"denomination": 9,
"type": "secp256k1",
"amount": "5001000"
},
"consumedOnChainId": "2oYMBNV4eNHyqk2fjjV5nVQLDbtmNJzq5s3qs3Lo6ftnC6FByM",
"createdOnChainId": "2oYMBNV4eNHyqk2fjjV5nVQLDbtmNJzq5s3qs3Lo6ftnC6FByM",
"utxoId": "68vLva9kfKUsX88ZPM8jdbf8qHUZRoZSFH6NdpAVTspkfrXDC",
"creationTxHash": "FvwEAhmxKfeiG8SnEvq42hc6whRyY3EFYAvebMqDNDGCgxN5Z",
"locktime": 0,
"outputIndex": "38",
"threshold": 1,
"timestamp": 1599696000,
"utxoType": "mint",
"consumingTxHash": "3j9JpF1aGuQtLLbo3YkvvKkWrCZViXZjdeJQWUSEY5hcqUn2c",
"utxoBytes": "<string>",
"consumingTxTimestamp": 1599696000,
"credentials": [
{
"signature": "bWWoZUu0Z3STjuk/+2az7M4vP0oqc9NtiA7kOdqINCIE/2+5va5R1KNCWwEX5jE1xVHLvAxU2LHTN5gK8m84HwA",
"publicKey": "AdMQOtubgBFFJu++0faHPIIA6KmdZ2ERErMRGzyy6juI"
}
],
"groupId": 123,
"payload": "<string>"
}
],
"amountUnlocked": [
{
"assetId": "th5aLdWLi32yS9ED6uLGoMMubqHjzMsXhKWwzP6yZTYQKYzof",
"name": "Avalanche",
"symbol": "AVAX",
"denomination": 9,
"type": "secp256k1",
"amount": "5001000"
}
],
"amountCreated": [
{
"assetId": "th5aLdWLi32yS9ED6uLGoMMubqHjzMsXhKWwzP6yZTYQKYzof",
"name": "Avalanche",
"symbol": "AVAX",
"denomination": 9,
"type": "secp256k1",
"amount": "5001000"
}
],
"vertices": [
{
"hash": "82qPRREHmh8Cfta4PGD6GymY9ZLyvgYugqW6hj9FykpMVRz1S",
"height": 1961,
"timestamp": 1600762738
}
],
"sourceChain": "2oYMBNV4eNHyqk2fjjV5nVQLDbtmNJzq5s3qs3Lo6ftnC6FByM",
"destinationChain": "2oYMBNV4eNHyqk2fjjV5nVQLDbtmNJzq5s3qs3Lo6ftnC6FByM",
"assetCreated": {
"assetId": "th5aLdWLi32yS9ED6uLGoMMubqHjzMsXhKWwzP6yZTYQKYzof",
"name": "Avalanche",
"symbol": "AVAX",
"denomination": 9,
"type": "secp256k1",
"createdAtTimestamp": 1675444720,
"cap": "fixed"
}
}
],
"chainInfo": {
"chainName": "p-chain",
"network": "mainnet"
},
"nextPageToken": "<string>"
}{
"message": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"message": "<string>",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "<string>",
"statusCode": 403,
"error": "Forbidden"
}{
"message": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"message": "<string>",
"statusCode": 429,
"error": "Too Many Requests"
}{
"message": "<string>",
"statusCode": 500,
"error": "Internal Server Error"
}{
"message": "<string>",
"statusCode": 502,
"error": "Bad Gateway"
}{
"message": "<string>",
"statusCode": 503,
"error": "Service Unavailable"
}Transactions
List asset transactions
Lists asset transactions corresponding to the given asset id on the X-Chain.
GET
/
v1
/
networks
/
{network}
/
blockchains
/
{blockchainId}
/
assets
/
{assetId}
/
transactions
JavaScript
import { Avalanche } from "@avalanche-sdk/chainkit";
const avalanche = new Avalanche({
network: "mainnet",
});
async function run() {
const result = await avalanche.data.primaryNetwork.transactions.listAssetTransactions({
txTypes: [
"AddValidatorTx",
],
startTimestamp: 1689541049,
endTimestamp: 1689800249,
pageSize: 10,
blockchainId: "x-chain",
assetId: "th5aLdWLi32yS9ED6uLGoMMubqHjzMsXhKWwzP6yZTYQKYzof",
});
for await (const page of result) {
console.log(page);
}
}
run();Authorizations
Api keys provide higher access to rate limits. To obtain an api key, sign up for an account at https://avacloud.io/.
Path Parameters
A primary network blockchain id or alias.
Available options:
2oYMBNV4eNHyqk2fjjV5nVQLDbtmNJzq5s3qs3Lo6ftnC6FByM, 2JVSBoinj9C2J33VntvzYtVJNZdN2NKiwwKjcumHUWEb5DbBrm, x-chain Either mainnet or testnet/fuji.
Available options:
mainnet, fuji, testnet Asset ID for any asset on X-Chain
Query Parameters
Query param for filtering items based on transaction types.
Available options:
AddValidatorTx, AddSubnetValidatorTx, AddDelegatorTx, CreateChainTx, CreateSubnetTx, ImportTx, ExportTx, AdvanceTimeTx, RewardValidatorTx, RemoveSubnetValidatorTx, TransformSubnetTx, AddPermissionlessValidatorTx, AddPermissionlessDelegatorTx, BaseTx, TransferSubnetOwnershipTx, ConvertSubnetToL1Tx, RegisterL1ValidatorTx, SetL1ValidatorWeightTx, DisableL1ValidatorTx, IncreaseL1ValidatorBalanceTx, UNKNOWN, CreateAssetTx, OperationTx Query param for retrieving items after a specific timestamp.
Required range:
x >= 0Query param for retrieving items before a specific timestamp.
Required range:
x >= 0A page token, received from a previous list call. Provide this to retrieve the subsequent page.
The maximum number of items to return. The minimum page size is 1. The maximum pageSize is 100.
Required range:
1 <= x <= 100Was this page helpful?
⌘I